Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel.local
Interface LocalClientChannelFactory

All Superinterfaces:
  ChannelFactory, ExternalResourceReleasable

All Known Implementing Classes:
  DefaultLocalClientChannelFactory

    public interface LocalClientChannelFactory

extends ChannelFactory

A `ChannelFactory` that creates a client-side `LocalChannel`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`LocalChannel` | `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

Methods inherited from interface org.jboss.netty.channel.ChannelFactory
`releaseExternalResources`

Method Detail

### newChannel

    LocalChannel newChannel(ChannelPipeline pipeline)

  Description copied from interface: `ChannelFactory`
  Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

  Specified by:
    `newChannel` in interface `ChannelFactory`
  Parameters:
    `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
  Returns:
    the newly open channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.